petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStopForDebugger

Prints a message to the screen indicating how to attach to the process with the debugger and then waits for the debugger to attach.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStopForDebugger(void)

Not Collective Many br

Many br

Notes: This is likely never needed since PetscAttachDebugger() is easier to use and seems to always work. Many br

Developer Notes: Since this can be called by the error handler, should it be calling SETERRQ() and CHKERRQ()? Many br

### See Also

PetscSetDebugger(), PetscAttachDebugger()

Level:developer
Location:src/sys/error/adebug.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages